%define name miniChinput
%define ver 0.0.3
%define rel 56.0

Name: %{name}
Version: %{ver}
Release: %{rel}.XOS.1

Summary: A Chinese XIM server.
Copyright: GPL
Group: User Interface/X
Source: %{name}-0.0.3-2.tar.bz2
URL: http://people.redhat.com/yshao
BuildRequires: XFree86, fontconfig
BuildRequires: imlib-devel >= 1.9.13-9
Buildroot: /var/tmp/%{name}-%{version}-root
ExcludeArch: alpha
Patch1:minichinput-shift-f3.patch
Patch2:miniChinput-0.0.3-compile.patch
Patch3:miniChinput-0.0.3-memleak.patch
Patch4:miniChinput-utf8.patch
Patch5:miniChinput-0.0.3-SHP.patch
Patch6:miniChinput-0.0.3-AMD64.patch
Patch7:miniChinput-0.0.3-s390x.patch
%description
MiniChinput is a tiny version of Chinput, a GPLed Chinese XIM server.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

%build
./configure --prefix=/usr
make
make data

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT/usr install
make prefix=$RPM_BUILD_ROOT/usr data-install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
/usr/bin/chinput
/usr/lib/Chinput
%doc doc

%changelog
* Fri Mar 24 2006 X/OS Linux Team <xoslinux@xos.nl> 0.0.3-56.0.XOS.1
- Build for X/OS Linux 3.0.
- X/OS Linux source rpm based on miniChinput-0.0.3-56.0.src.rpm
  (md5sum of original source rpm: d0b8529d1f17cff1fbef9542376ac40e).

* Mon Nov 14 2005 Qingyu Wang <qwang@redhat.com> 56
- rebuilt

* Tue Nov 1 2005 Qingyu Wang <qwang@redhat.com> 55
- Fixed bugzilla #162946 and add s390x patch

* Tue Oct 25 2005 Qingyu Wang <qwang@redhat.com> 54
- Fixed bugzilla #165105 and added AMD64 patch

* Fri Oct 14 2005 Qingyu Wang <qwang@redhat.com> 53
- Fixed bugzilla #169767 and added Shuangpin patch 

* Tue Apr 15 2003 Yu Shao <yshao@redhat.com> 50
- apply utf8 patch

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Jan 13 2003 Yu Shao <yshao@redhat.com> 35, 36
- Added memory leak patch from James Su, i18n@xfree86.org
- Added doc to binary RPM

* Thu Jan 7 2003 Yu Shao <yshao@redhat.com> 34
- fixing dependency problem #80964

* Mon Dec 2 2002 Yu Shao <yshao@redhat.com> 32
- /usr/lib/Chinput ownership fix #73957
- minichinput-0.0.3-compile.patch

* Thu Nov 14 2002 Yu Shao <yshao@redhat.com>
- CVS build

* Fri Oct 4 2002 Yu Shao <yshao@redhat.com>
- IA64 build bug fix

* Fri Sep 13 2002 Yu Shao <yshao@redhat.com>
- add hotkey Shift-F3 to switch input style,
- to avoid the conflict with GNOME's Alt-Space

* Wed Aug 28 2002 Yu Shao <yshao@redhat.com>
- rebuilt and cleanup

* Tue Aug 13 2002 Havoc Pennington <hp@redhat.com>
- rebuilt with new imlib

* Sat Aug 10 2002 Elliot Lee <sopwith@redhat.com>
- rebuilt with gcc-3.2 (we hope)

* Tue Jul 23 2002 Tim Powers <timp@redhat.com>
- build using gcc-3.2-0.1

* Mon  Jul 8 2002 Yu Shao <yshao@redhat.com>
- make big5 locale work

* Mon  Jul 8 2002 Yu Shao <yshao@redhat.com>
- xft port enhancement, buildrequires

* Mon  Jun 3 2002 Yu Shao <yshao@redhat.com>
- xft porting

* Tue  May 28 2002 Yu Shao <yshao@redhat.com>
- fix gcc3 compiling errors

* Fri  May 10 2002 Yu Shao <yshao@redhat.com>
- fix bugzilla #64688

* Wed  Apr 03 2002 Yu Shao <yshao@redhat.com>
- use zhongyi font in Chinput.ad

* Thu  Mar  14 2002 Yu Shao <yshao@redhat.com>
- recheck license

* Wed  Feb  20 2002 Yu Shao <yshao@redhat.com>
- update miniChinput-0.0.3-iconv.patch

* Thu  Feb  14 2002 Yu Shao <yshao@redhat.com>
- add locale patch to make it more locale robust

* Thu  Jan  31 2002 Yu Shao <yshao@redhat.com>
- add filter to filter unassigned unicode codepoints

* Fri  Jan  26 2002 Yu Shao <yshao@redhat.com>
- New gcc and ia64 patch

* Wed  Dec  5 2001 Yu Shao <yshao@redhat.com>
- Fix no big5 font problem

* Fri  Nov  9 2001 Yu Shao <yshao@redhat.com>
- Add gb18030 stuff and internal code input module

* Fri  Nov  9 2001 Yu Shao <yshao@redhat.com>
- Update to 0.0.3 

* Tue Jul 17 2001 Yukihiro Nakai <ynakai@redhat.com>
- Update to 0.0.2 to fix tab2txt bugs.

* Sun Jul  8 2001 Yukihiro Nakai <ynakai@redhat.com>
- Add ia64 fix

* Tue Jul  3 2001 Yukihiro Nakai <ynakai@redhat.com>
- Exclude ia64 and alpha

* Wed Jun 27 2001 Yukihiro Nakai <ynakai@redhat.com>
- Initial release.
